import request from '@/utils/request'

// 查询装备泥浆泵缸套列表
export function listJtzbGt(query) {
  return request({
    url: '/jtzb/jtzbGt/list',
    method: 'get',
    params: query
  })
}

// 查询装备泥浆泵缸套详细
export function getJtzbGt(id) {
  return request({
    url: '/jtzb/jtzbGt/' + id,
    method: 'get'
  })
}

// 新增装备泥浆泵缸套
export function addJtzbGt(data) {
  return request({
    url: '/jtzb/jtzbGt',
    method: 'post',
    data: data
  })
}

// 修改装备泥浆泵缸套
export function updateJtzbGt(data) {
  return request({
    url: '/jtzb/jtzbGt',
    method: 'put',
    data: data
  })
}

// 删除装备泥浆泵缸套
export function delJtzbGt(id) {
  return request({
    url: '/jtzb/jtzbGt/' + id,
    method: 'delete'
  })
}
